Subject: Re: [PATCH v5] services: network-manager: Add extra-configuration-files field.

From: 45mg <[email-masked]>
Date: Wed, 12 Feb 2025 15:31:11 +0000

Hi Arnaud,

Arnaud Daby-Seesaram <[email-masked]> writes:

> --8<---------------cut here---------------start------------->8---
>      (service network-manager-service-type
>               (network-manager-configuration
>                (extra-configuration-files
>                 `(("existing-file" ,(local-file "001-basic.conf"))
>                   ("constructed-file" ,(plain-file "002-unmanaged.conf"
>                                                    "[keyfile]
>      unmanaged-devices=interface-name:wlo1_ap
>      "))))))
> --8<---------------cut here---------------end--------------->8---
>
> adds files named "existing-file" and "constructed-file".  This is the
> expected behaviour (explained in the doc).  However, the example is
> introduced by:
>
> --8<---------------cut here---------------start------------->8---
> For example, to add two files ‘001-basic.conf’ and
> ‘002-unmanaged.conf’:
> --8<---------------cut here---------------end--------------->8---
>
> This may seem counter-intuitive to some readers.

You're right; fixed in the v6 I just sent. I tried to say so via a patch
annotation, but for some reason that didn't work. So I'll say this here
instead: thank you for the very thorough review, and for sticking around
for six revisions :)